%global pypi_name deap

Summary:	Distributed Evolutionary Algorithms in Python
Name:		python-deap
Version:	1.4.1
Release:	1%{?dist}
License:	LGPL-3.0
URL:		https://www.github.com/%{pypi_name}
Source0:	%{pypi_source}

Requires:	python3-numpy

%description
DEAP is a novel evolutionary computation framework for rapid prototyping and testing ideas. It 
aims to make algorithms explicit and data structures transparent, and perfectly coordinates with 
parallel mechanisms such as multiprocessing and SCOOP.

%package -n python3-%{pypi_name}
Summary:	Distributed Evolutionary Algorithms in Python
BuildRequires:	python3-devel python3-setuptools python3-cffi
BuildRequires:	gcc-c++ gdb
Provides:	python-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
DEAP is a novel evolutionary computation framework for rapid prototyping and testing ideas. It 
aims to make algorithms explicit and data structures transparent, and perfectly coordinates with 
parallel mechanisms such as multiprocessing and SCOOP.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-*.egg-info

%changelog
* Tue Sep 26 2023 Wang Guodong <gordonwwang@tencent.com> - 1.4.1-1
- Upgrade to version 1.4.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Wang Guodong <gordonwwang@tencent.com> - 1.3.3-1
- initial build
